complexType "WeatherStation"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 4 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | (weatherStationCity | weatherStationAirport | weatherStationWBAN | weatherStationWMO)?
</...>

Content Model Elements (4):

  weatherStationAirport, weatherStationCity, weatherStationWBAN, weatherStationWMO

All Direct / Indirect Based Elements (3):

  weatherStation, weatherStationFallback, weatherStationSecondFallback

Known Usage Locations

- As direct type of elements (3):
  weatherStation, weatherStationFallback, weatherStationSecondFallback

Annotation
Weather Station.
XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="WeatherStation"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element name="weatherStationCity" type="BusinessCenter"/> <xsd:element name="weatherStationAirport" type="WeatherStationAirport"/> <xsd:element name="weatherStationWBAN" type="WeatherStationWBAN"/> <xsd:element name="weatherStationWMO" type="WeatherStationWMO"/> </xsd:choice> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
weatherStationAirport

  Type: | WeatherStationAirport, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element name="weatherStationAirport" type="WeatherStationAirport"/>

weatherStationCity

  Type: | BusinessCenter, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element name="weatherStationCity" type="BusinessCenter"/>

weatherStationWBAN

  Type: | WeatherStationWBAN, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element name="weatherStationWBAN" type="WeatherStationWBAN"/>

weatherStationWMO

  Type: | WeatherStationWMO, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element name="weatherStationWMO" type="WeatherStationWMO"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.